Open CASCADE Technology: ShapeSchema_PColgp_HArray1OfPnt2d Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions
ShapeSchema_PColgp_HArray1OfPnt2d Class Reference

`#include <ShapeSchema_PColgp_HArray1OfPnt2d.hxx>`

Inheritance diagram for ShapeSchema_PColgp_HArray1OfPnt2d:
[legend]

## Public Member Functions
| ShapeSchema_PColgp_HArray1OfPnt2d ()
Handle_Standard_Persistent | New () const
void | Add (const Handle< Standard_Persistent > &, const Handle< Storage_Schema > &) const
void | Write (const Handle< Standard_Persistent > &, Storage_BaseDriver &, const Handle< Storage_Schema > &) const
void | Read (const Handle< Standard_Persistent > &, Storage_BaseDriver &, const Handle< Storage_Schema > &) const
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Static Public Member Functions
static void | SAdd (const Handle< PColgp_HArray1OfPnt2d > &, const Handle< Storage_Schema > &)
static void | SWrite (const Handle< Standard_Persistent > &, Storage_BaseDriver &, const Handle< Storage_Schema > &)
static void | SRead (const Handle< Standard_Persistent > &, Storage_BaseDriver &, const Handle< Storage_Schema > &)

## Constructor & Destructor Documentation

ShapeSchema_PColgp_HArray1OfPnt2d::ShapeSchema_PColgp_HArray1OfPnt2d | ( |  | ) |
| inline

## Member Function Documentation

void ShapeSchema_PColgp_HArray1OfPnt2d::Add | ( | const Handle< Standard_Persistent > & | ,
|  | const Handle< Storage_Schema > & |
| ) |  | const
| virtual

Implements Storage_CallBack.

Handle_Standard_Persistent ShapeSchema_PColgp_HArray1OfPnt2d::New | ( |  | ) | const
| virtual

Implements Storage_CallBack.

void ShapeSchema_PColgp_HArray1OfPnt2d::Read | ( | const Handle< Standard_Persistent > & | ,
|  | Storage_BaseDriver & | ,
|  | const Handle< Storage_Schema > & |
| ) |  | const
| virtual

Implements Storage_CallBack.

static void ShapeSchema_PColgp_HArray1OfPnt2d::SAdd | ( | const Handle< PColgp_HArray1OfPnt2d > & | ,
|  | const Handle< Storage_Schema > & |
| ) |  |
| static

static void ShapeSchema_PColgp_HArray1OfPnt2d::SRead | ( | const Handle< Standard_Persistent > & | ,
|  | Storage_BaseDriver & | ,
|  | const Handle< Storage_Schema > & |
| ) |  |
| static

static void ShapeSchema_PColgp_HArray1OfPnt2d::SWrite | ( | const Handle< Standard_Persistent > & | ,
|  | Storage_BaseDriver & | ,
|  | const Handle< Storage_Schema > & |
| ) |  |
| static

void ShapeSchema_PColgp_HArray1OfPnt2d::Write | ( | const Handle< Standard_Persistent > & | ,
|  | Storage_BaseDriver & | ,
|  | const Handle< Storage_Schema > & |
| ) |  | const
| virtual

Implements Storage_CallBack.

The documentation for this class was generated from the following file:

- ShapeSchema_PColgp_HArray1OfPnt2d.hxx